Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pe.pc.legacy.cmpf
Class PortletRequestWrapper

    java.lang.Object
      javax.servlet.http.HttpServletRequestWrapper
          com.ibm.wps.pe.pc.legacy.cmpf.PortletRequestWrapper

    public class PortletRequestWrapper

extends javax.servlet.http.HttpServletRequestWrapper

Provides a convenient implementation of the PortletRequest interface that can be subclassed by developers who wish to wrap the request to a Portlet. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped request object.

Since:
  5.0
See Also:
  `PortletRequest`

Constructor Summary
`PortletRequestWrapper(PortletRequest portletRequest)` Creates a PortletRequest adaptor wrapping the specified request object.

Method Summary
`Client` | `getClient()`
`protected ClientWrapper` | `getClientWrapper()` Use this method to return a wrapped client instead of the getClient method
`PortletData` | `getData()`
`Portlet.Mode` | `getMode()`
`protected PortletRequest` | `getPortletRequest()` Returns the wrapped ServletRequest object.
`PortletSession` | `getPortletSession()`
`PortletSession` | `getPortletSession(boolean create)`
`PortletSettings` | `getPortletSettings()`
`Portlet.Mode` | `getPreviousMode()`
`User` | `getUser()`
`PortletWindow` | `getWindow()`
`void` | `invalidateCache()`
`void` | `setModeModifier(Portlet.ModeModifier modeModifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletRequestWrapper

    public PortletRequestWrapper(PortletRequest portletRequest)

  Creates a PortletRequest adaptor wrapping the specified request object.

  Parameters:
    `portletRequest` - the portlet request
  Throws:
    `java.lang.IllegalArgumentException` - if the request is null

Method Detail

### getPortletRequest

    protected PortletRequest getPortletRequest()

  Returns the wrapped ServletRequest object.

### getMode

    public Portlet.Mode getMode()

### getPreviousMode

    public Portlet.Mode getPreviousMode()

### setModeModifier

    public void setModeModifier(Portlet.ModeModifier modeModifier)
                         throws AccessDeniedException

  Throws:
    `AccessDeniedException`

### getClient

    public final Client getClient()

### getClientWrapper

    protected ClientWrapper getClientWrapper()

  Use this method to return a wrapped client instead of the getClient method

  Returns:
    the wrapped client object.
  See Also:
    `Client`

### getWindow

    public PortletWindow getWindow()

### getData

    public PortletData getData()

### getUser

    public User getUser()

### getPortletSession

    public PortletSession getPortletSession()

### getPortletSession

    public PortletSession getPortletSession(boolean create)

### getPortletSettings

    public PortletSettings getPortletSettings()

### invalidateCache

    public void invalidateCache()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD